Package edu.msu.cme.rdp.multicompare

## Class MCSampleResult

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.MCSample
  - - edu.msu.cme.rdp.multicompare.MCSampleResult

    public class MCSampleResult
    extends MCSample

### Constructor Summary

Constructors
`MCSampleResult​(java.lang.String classicationResultFile)`
`MCSampleResult​(java.lang.String classicationResultFile, java.io.File dupCountFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassificationParser` `getClassificationParser​(ClassifierFactory classifierFactory)`

### Methods inherited from class edu.msu.cme.rdp.multicompare.MCSample

`addRankCount, getBootstrapCountTable, getBootstrapIndex, getDupCount, getNextSeq, getSampleName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MCSampleResult

    public MCSampleResult​(java.lang.String classicationResultFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### MCSampleResult

    public MCSampleResult​(java.lang.String classicationResultFile,
                          java.io.File dupCountFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getClassificationParser

    public ClassificationParser getClassificationParser​(ClassifierFactory classifierFactory)
                                                 throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`